
----------------------------------------------------------------------
print '==> processing options'


cmd = torch.CmdLine()
cmd:text()
cmd:text('Convolution Neaural Netowrk')
cmd:text()
cmd:text('Options:')
cmd:option('-typeModel','test','Is the Feature Model')
cmd:option('-label','test','Label for the current experiment')
cmd:option('-noutputs','6','number of classes2')

opt = cmd:parse(arg or {})
print(opt)
cmd = torch.CmdLine()
cmd:text()
cmd:text('Convolution Neaural Netowrk')
cmd:text()
cmd:text('Options:')
-- global:
cmd:option('-seed', 1, 'fixed input seed for repeatable experiments')
cmd:option('-threads', 96, 'number of threads')
cmd:option('-type', 'float', 'type: double | float | cuda')
-- data:
cmd:option('-loadPrecomputedModel',false,'Load Model already computed')
cmd:option('-label',opt.label,'Label for the current experiment')
cmd:option('-typeModel',opt.typeModel,'Label for the current experiment')

cmd:option('-outTrainDir','../rawData/'..opt.label..'train.dat','output training directory')
cmd:option('-outTestDir','../rawData/'..opt.label..'test.dat','output test directory')
cmd:option('-outStdDir','../rawData/'..opt.label..'std.dat','save std training')
cmd:option('-outAvgDir','../rawData/'..opt.label..'avg.dat','save avg training')
cmd:option('-outTrainNormDir','../rawData/'..opt.label..'trainNorm.dat','output training Normalized directory')
cmd:option('-outTestNormDir','../rawData/'..opt.label..'testNorm.dat','output test Normalized directory')
cmd:option('-noutputs',0+opt.noutputs,'number of classes')
-- training:
cmd:option('-save', '../results', 'subdirectory to save/log experiments in')
cmd:option('-plot', false, 'live plot')
cmd:option('-optimization', 'SGD', 'optimization method: SGD | ASGD | CG | LBFGS')
cmd:option('-learningRate', 0.01, 'learning rate at t=0')
cmd:option('-batchSize', 4, 'mini-batch size (1 = pure stochastic)')
cmd:option('-weightDecay',  0.00001, 'weight decay (SGD only)')
cmd:option('-momentum', 0.5, 'momentum (SGD only)')
cmd:option('-t0', 1, 'start averaging at t0 (ASGD only), in nb of epochs')
cmd:option('-maxIter', 3, 'maximum nb of iterations for CG and LBFGS')
cmd:option('-visualize', false, 'visualize input data and weights during training')


print(cmd:text())
opt = cmd:parse(arg or {})





